Description

The term "principal" is only used in very few places within the user interface and is not really defined elsewhere. In the translations,

the term is only used in the field_principal key.

About the only place where I came across this was as a validation error when trying to add a new project member and not selecting a

user or group. Here, the error message is:

Principal can't be blank

 As the term "Principal" is very obscure here, I propose we generally replace it with "User or Group".

In the German translations, things are worse because the term is currently translated there as "Auftraggeber" which actually means

"client" in a strict business sense. Here, "Benutzer oder Gruppe" would be more appropriate as a direct translation of "User or

Group".

Associated revisions

Revision 21601 - 2022-05-25 08:51 - Go MAEDA

Update translations of field_principal to User or Group (#36938).

Contributed by Holger Just.

Revision 21603 - 2022-05-25 15:52 - Go MAEDA

Fix test failure due to r21601 (#36938).

History

#1 - 2022-04-15 11:04 - Go MAEDA

Holger Just wrote:

As the term "Principal" is very obscure here, I propose we generally replace it with "User or Group".

 +1

The phrase "user or group" is already used in the label label_principal_search ("Search for user or group:"). Changing the translation for

label_principal from "Principal" to "User or group" improves consistency and clarity.

#2 - 2022-04-16 13:40 - Bernhard Rohloff

+1 I'm also in favor for this proposal. It sounds way better.

#3 - 2022-05-05 08:32 - Go MAEDA

- File 36938.patch added

Here is a patch that updates the translations.

#4 - 2022-05-14 09:56 - Go MAEDA

- Target version set to 5.1.0
Setting the target version to 5.1.0.

#5 - 2022-05-16 11:56 - Holger Just

- File 36938_de.patch added

- Assignee set to Go MAEDA

Thank you Maeda-san.

With the attached patch (which is just an in-place edit of yours from #36938#note-3), I updated the German translation to "Benutzer oder Gruppe" as

initially proposed. There are no other changes.

#6 - 2022-05-25 08:50 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

Committed the updated translation. Thank you.

Files

36938.patch 24.9 KB 2022-05-05 Go MAEDA

36938_de.patch 25 KB 2022-05-16 Holger Just
